## org.omg.PortableServer
Class ForwardRequestHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ForwardRequestHelper

public class ForwardRequestHelper
extends java.lang.Object

Helper class for : ForwardRequest

Author:
  OpenORB Compiler

Constructor Summary
`ForwardRequestHelper()`

Method Summary
`static ForwardRequest` `extract(Any a)` Extract ForwardRequest from an any
`static java.lang.String` `id()` Return the ForwardRequest IDL ID
`static void` `insert(Any a, ForwardRequest t)` Insert ForwardRequest into an any
`static ForwardRequest` `read(InputStream istream)` Read ForwardRequest from a marshalled stream
`static TypeCode` `type()` Return the ForwardRequest TypeCode
`static void` `write(OutputStream ostream, ForwardRequest value)` Write ForwardRequest into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardRequestHelper

    public ForwardRequestHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ForwardRequest t)

  Insert ForwardRequest into an any
  Parameters:
    `a` - an any
    `t` - ForwardRequest value

### extract

    public static ForwardRequest extract(Any a)

  Extract ForwardRequest from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ForwardRequest value

### type

    public static TypeCode type()

  Return the ForwardRequest TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ForwardRequest IDL ID
  Returns:
    an ID

### read

    public static ForwardRequest read(InputStream istream)

  Read ForwardRequest from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ForwardRequest value

### write

    public static void write(OutputStream ostream,
                             ForwardRequest value)

  Write ForwardRequest into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ForwardRequest value